#pragma once

#define SERVER_PORT 6771
#define SERVER_ADDRESS "127.0.0.1"

class Network {
public:
    virtual void Initialize() = 0;
    virtual void Shutdown() = 0;
    virtual void SendData(const void* data, size_t size) = 0;
    virtual void ReceiveData() = 0;

    virtual ~Network() = default;
};
